using System.Collections.Specialized;
using System.Net;

using YandexMusic.API.Common;
using YandexMusic.API.Models.Common;
using YandexMusic.API.Models.Search;
using YandexMusic.API.Requests.Common;
using YandexMusic.API.Requests.Common.Attributes;

namespace YandexMusic.API.Requests.Search;

[YApiRequest(WebRequestMethods.Http.Get, "search/suggest")]
public class YSearchSuggestBuilder : YRequestBuilder<YResponse<YSearchSuggest>, string>
{
    public YSearchSuggestBuilder(YandexMusicApi yandex, AuthStorage auth) : base(yandex, auth)
    {
    }

    protected override NameValueCollection GetQueryParams(string searchText)
    {
        return new NameValueCollection {
            { "part", searchText }
        };
    }
}